GetTeam
/api/v1/teams/{team}Fetch a team by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/teams/{team}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/teams/{team}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequiredName of the team to request. Format:
teams/{team}
Response
Section titled “Response”200TeamA team represents a group of users. Teams can be hierarchical by specifying a single parent, but can’t be arbitrarily nested.
namestringAssigned by Oblique. Name of the team of the format
teams/{team}.displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the team.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |